Issue 121873 - Integrate the Presenter Screen
Integrate the Presenter Screen
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks: 121871
  Show dependency treegraph
 
Reported: 2013-03-09 05:02 UTC by Ariel Constenla-Haile
Modified: 2013-05-03 22:23 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patch intergating the PresentationScreen (431.16 KB, patch)
2013-03-13 01:57 UTC, Ariel Constenla-Haile
no flags Details | Diff
Macro to activate the Presenter Screen in single monitor set-up (9.92 KB, application/vnd.oasis.opendocument.text)
2013-05-03 22:23 UTC, Ariel Constenla-Haile
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-03-09 05:02:06 UTC
Integrate the Presenter Screen code so that it is no longer built as an extension.
Comment 1 Ariel Constenla-Haile 2013-03-13 01:57:38 UTC
Created attachment 80398 [details]
Patch intergating the PresentationScreen
Comment 2 Ariel Constenla-Haile 2013-03-13 01:58:57 UTC
(In reply to comment #1)
> Created attachment 80398 [details]
> Patch intergating the PresentationScreen

The patch must be applied after the one in attachment 80396 [details] for bug 121872
Comment 3 SVN Robot 2013-03-15 23:23:38 UTC
"arielch" committed SVN revision 1457159 into trunk:
i121873 - Integrate the Presenter Screen
Comment 4 SVN Robot 2013-03-15 23:36:16 UTC
"arielch" committed SVN revision 1457161 into trunk:
i121873 - Remove dirs left behind by git
Comment 5 Ariel Constenla-Haile 2013-03-15 23:42:25 UTC
Fixed on trunk.

A rewrite of the extension, moving it to the sd module, removing the API that was created ad hoc for this sole purpose of this extension (::com::sun::star::drawing::XPresenterHelper), etc. goes beyond this task.
Comment 6 SVN Robot 2013-03-26 12:53:31 UTC
"arielch" committed SVN revision 1461094 into trunk:
i121873 - Revert revision 1457992, 1457161, 1457159
Comment 7 Ariel Constenla-Haile 2013-03-26 13:01:42 UTC
Reverted on trunk
Comment 8 SVN Robot 2013-04-16 03:57:42 UTC
"arielch" committed SVN revision 1468300 into trunk:
i121873 - Integrate the Presenter Screen
Comment 9 SVN Robot 2013-04-24 20:08:34 UTC
"arielch" committed SVN revision 1471626 into trunk:
i121873 - Modify service and implementation names to prevent name clashes wit...
Comment 10 SVN Robot 2013-04-24 20:09:05 UTC
"arielch" committed SVN revision 1471627 into trunk:
i121873 - Add option to disable starting the Presenter Screen together with t...
Comment 11 SVN Robot 2013-04-25 18:23:46 UTC
"arielch" committed SVN revision 1475888 into trunk:
i121873 - Add file forgotten to commit with rev. 1471626
Comment 12 Ariel Constenla-Haile 2013-05-03 22:23:34 UTC
Created attachment 80636 [details]
Macro to activate the Presenter Screen in single monitor set-up

The macro toggles a configuration entry to activate/deactivate the Presenter Screen in a single monitor set-up.

If you don't have more than monitor, and want to test the PS, run the macro once to activate it.